Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.csp
Class StructuredCSPModel

    java.lang.Object
      ifs.model.Model
          ifs.example.csp.StructuredCSPModel

    public class StructuredCSPModel

extends Model

Random Binary CSP with kernels.
This class only implements the generation of Structured CSP problem.
In Structured CSP, variables are divided into several kernels (some variables may remain ouside kernels). Different constraints (in density and tightnes) are generated according to whether variables are from the same kernel or not.
Model parameters:

Parameter | Type | Comment
--- | --- | ---
CSP.NrVariables | `Integer` | Number of variables
CSP.DomainSize | `Integer` | Number of values for each variable
CSP.NrKernels | `Integer` | Number of kernels
CSP.KernelSize | `Integer` | Number of variables in each kernel
CSP.Tightness | `Double` | Tightness of constraints outside kernels
CSP.KernelTightness | `Double` | Tightness of constraints inside a kernel
CSP.Density | `Double` | Density of constraints outside kernels
CSP.KernelDensity | `Double` | Density of constraints inside a kernel
General.MPP | `String` | Minimal perturbation problem --> generate initial assignment

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`StructuredCSPModel(DataProperties properties, long seed)` Constructor

Method Summary
`Hashtable` | `getInfo()` Return information table

Methods inherited from class ifs.model.Model
`addConstraint, addModelListener, addVariable, afterAssigned, afterUnassigned, assignedVariables, beforeAssigned, beforeUnassigned, bestUnassignedVariables, conflictConstraints, conflictValues, constraints, countConstraints, countVariables, getBestPerturbations, getBestUnassignedVariables, getModelListeners, getTotalValue, init, modelListenerOfType, perturbVariables, removeConstraint, removeModelListener, removeVariable, restoreBest, saveBest, toString, unassignedHardConstraints, unassignedVariables, variables, variablesWithoutInitialValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructuredCSPModel

    public StructuredCSPModel(DataProperties properties,
                              long seed)

  Constructor

Method Detail

### getInfo

    public Hashtable getInfo()

  Return information table

  Overrides:
    `getInfo` in class `Model`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller